Package ru.bitel.bgbilling.modules.softkey.common.service

# Interface SoftkeyService

public interface SoftkeyService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `activate(int contractId, int count, int optionId)`
  Активация подписки
  `void`
  `continueSubscription(int contractId, int optionId)`
  Продление подписки после ее приостановки по инициативе пользвателя
  `List<SoftkeyProduct>`
  `getProductList()`
  Получение списка доступных подписок с сервера Softkey.
  `String`
  `getSubscribeStatus(int contractId)`
  Запрос актуального статуса подписки
  `SoftkeyTransaction`
  `getTransactionByCid(int contractId, int optionId)`
  Получение подписки для конкретного договора по его номеру
  `SoftkeyTransaction`
  `getTransactionById(int transactionId)`
  Получение подписки по ее номеру
  `List<SoftkeyTransaction>`
  `getTransactionList(String contractTitle, int status, Date fromDate, Date toDate)`
  Получение общего списка подписок
  `List<SoftkeyTransactionLog>`
  `getTransactionLog(int transactionId)`
  получение лога транзакции по ее номеру
  `void`
  `pause(int contractId, int optionId)`
  Приостановка подписки
  `void`
  `stop(int contractId, int optionId)`
  Прекращение действия подписки
  `void`
  `test()`
  Тестовый метод, для проверки работоспособности взаимодействия с сервисом

- ## Method Details

  - ### getTransactionList

    List<SoftkeyTransaction> getTransactionList(String contractTitle, int status, Date fromDate, Date toDate) throws ru.bitel.bgbilling.common.BGException
    Получение общего списка подписок
    Returns:
      список подписок, иначе - пустой список, если нет подписок
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTransactionById

    SoftkeyTransaction getTransactionById(int transactionId) throws ru.bitel.bgbilling.common.BGException
    Получение подписки по ее номеру
    Parameters:
      `transactionId` - номер подписки
    Returns:
      null, если подписки нет в базе
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTransactionByCid

    SoftkeyTransaction getTransactionByCid(int contractId, int optionId) throws ru.bitel.bgbilling.common.BGException
    Получение подписки для конкретного договора по его номеру
    Parameters:
      `cid` - номер договора
    Returns:
      null, если на договоре нет подписок
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTransactionLog

    List<SoftkeyTransactionLog> getTransactionLog(int transactionId) throws ru.bitel.bgbilling.common.BGException
    получение лога транзакции по ее номеру
    Parameters:
      `transactionId` - номер транзакции
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getProductList

    List<SoftkeyProduct> getProductList() throws ru.bitel.bgbilling.common.BGException
    Получение списка доступных подписок с сервера Softkey. Список всегда будет актуальным. В базе не хранится
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### activate

    void activate(int contractId, int count, int optionId) throws ru.bitel.bgbilling.common.BGException
    Активация подписки
    Parameters:
      `count` - количество активируемых копий подписок
      `optionId` - код подписки
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### pause

    void pause(int contractId, int optionId) throws ru.bitel.bgbilling.common.BGException
    Приостановка подписки
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### continueSubscription

    void continueSubscription(int contractId, int optionId) throws ru.bitel.bgbilling.common.BGException
    Продление подписки после ее приостановки по инициативе пользвателя
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### stop

    void stop(int contractId, int optionId) throws ru.bitel.bgbilling.common.BGException
    Прекращение действия подписки
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getSubscribeStatus

    String getSubscribeStatus(int contractId) throws ru.bitel.bgbilling.common.BGException
    Запрос актуального статуса подписки
    Parameters:
      `contractId` - номер договора

  - ### test

    void test() throws ru.bitel.bgbilling.common.BGException
    Тестовый метод, для проверки работоспособности взаимодействия с сервисом
    Throws:
      `ru.bitel.bgbilling.common.BGException`